Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| http://www.jpicedt.org
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jpicedt.graphic.view
Class HitInfo.Interior

    java.lang.Object
      jpicedt.graphic.view.HitInfo
          jpicedt.graphic.view.HitInfo.Interior

Direct Known Subclasses:
  HitInfo.Text

Enclosing class:
  HitInfo

public static class HitInfo.Interior
extends HitInfo

Represent a Hit that occured on the interior of a Element

Nested Class Summary

Nested classes inherited from class jpicedt.graphic.view.HitInfo
`HitInfo.Composite, HitInfo.EnvelopeStroke, HitInfo.HighlighterStroke, HitInfo.Interior, HitInfo.Point, HitInfo.Stroke, HitInfo.Text`

Constructor Summary
`HitInfo.Interior(Element clickedObject, PEMouseEvent mouseEvent)` construct a new HitInfo.Interior that occured on the given Element

Method Summary
`String` | `toString()`

Methods inherited from class jpicedt.graphic.view.HitInfo
`getMouseEvent, getTarget`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### HitInfo.Interior

    public HitInfo.Interior(Element clickedObject,
                            PEMouseEvent mouseEvent)

  construct a new HitInfo.Interior that occured on the given Element

Method Detail

### toString

    public String toString()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| http://www.jpicedt.org
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug : syd@jpicedt.org